/* ====================================================================
 *   Copyright 2001-2005 The Apache Software Foundation.
 *
 *   Licensed under the Apache License, Version 2.0 (the "License");
 *   you may not use this file except in compliance with the License.
 *   You may obtain a copy of the License at
 *
 *       http://www.apache.org/licenses/LICENSE-2.0
 *
 *   Unless required by applicable law or agreed to in writing, software
 *   distributed under the License is distributed on an "AS IS" BASIS,
 *   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *   See the License for the specific language governing permissions and
 *   limitations under the License.
 * ====================================================================
 */
package org.apache.maven.dashboard.test.subproject1;

/**
 * Example voluntarily generating checsktyle errors.
 * @todo Used by tasklistclass & tasklist aggregators 
 *
 * @author <a href="mailto:vmassol@apache.org">Vincent Massol</a>
 *
 * @version $Id$
 */
public class Sample
{
    /**
     * @todo Used by tasklistmethod & tasklist aggregators 
     *
     */
    public void unusedMethod()
    {
    }
    
    /**
     * @todo Used by tasklistmethod & tasklist aggregators 
     *
     */
    public void someMethod()
    {
        new Boolean(true);
        
        try
        {
            // some duplications for Simian...
        }
        catch (Exception e)
        {
            e.printStackTrace();
        }
        finally
        {
            // nothing...
        }
    }   

    public void someOtherMethod()
    {
        new Boolean(true);
        
        try
        {
            // some duplications for Simian...
        }
        catch (Exception e)
        {
            e.printStackTrace();
        }
        finally
        {
            // nothing...
        }
    }   
}